/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : A0bFB                                                                 *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of forward-backward asymmetry of b-quarks                      *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - DESY, Germany                  *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: A0bFB.h,v 1.11 2007/08/27 22:12:38 hoecker Exp $
 **********************************************************************************/
#ifndef GSM_A0bFB
#define GSM_A0bFB
 
#include "GSM/SMTheoryBuilder.h"

namespace GSM {

   class A0bFB : public SMTheoryBuilder {
    
   public:

      A0bFB();
      virtual ~A0bFB() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:

      ClassDef(A0bFB,0)
   };
}

#endif
