/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : A0cFB                                                                 *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of forward-backward asymmetry of c-quarks                      *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - DESY, Germany                  *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: A0cFB.h,v 1.11 2007/08/27 22:12:38 hoecker Exp $
 **********************************************************************************/#ifndef GSM_A0cFB
#define GSM_A0cFB
 
#include "GSM/SMTheoryBuilder.h"

 namespace GSM {

    class A0cFB : public SMTheoryBuilder {
    
    public:

       A0cFB();
       virtual ~A0cFB() {}

       // theory prediction as function of parameters stored in GStore
       Double_t GetTheoryPrediction();

       // not used
       void Initialise() {}
 
    protected:

       ClassDef(A0cFB,0)
    };
 }

#endif
