/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : A0lepFB                                                               *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of forward-backward asymmetry of leptons                       *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - DESY, Germany                  *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: A0lepFB.h,v 1.4 2007/08/27 22:12:38 hoecker Exp $
 **********************************************************************************/
#ifndef GSM_A0lepFB
#define GSM_A0lepFB
 
#include "SMTheoryBuilder.h"

namespace GSM {

   class A0lepFB : public SMTheoryBuilder {
    
   public:

      A0lepFB();
      virtual ~A0lepFB() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:

      ClassDef(A0lepFB,0)
   };
}

#endif
