/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : Ab                                                                    *
 *                                                                                *
 * Description:                                                                   *
 *      Asymmetry paramter of the b-quarks                                        *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - DESY, Germany                  *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: Ab.h,v 1.11 2007/08/27 22:13:06 hoecker Exp $
 **********************************************************************************/
#ifndef GSM_Ab
#define GSM_Ab

#include "GSM/SMTheoryBuilder.h"

namespace GSM {
   
   class Ab : public SMTheoryBuilder {
    
   public:

      Ab();
      virtual ~Ab() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:

      ClassDef(Ab,0)
   };
}

#endif
