/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : Ac                                                                    *
 *                                                                                *
 * Description:                                                                   *
 *      Asymmetry paramter of the c-quarks                                        *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - DESY, Germany                  *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: Ac.h,v 1.11 2007/08/27 22:13:06 hoecker Exp $
 **********************************************************************************/
#ifndef GSM_Ac
#define GSM_Ac
 
#include "SMTheoryBuilder.h"

namespace GSM {

   class GParameterRef;

   class Ac : public SMTheoryBuilder {
    
   public:

      Ac();
      virtual ~Ac() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:

      ClassDef(Ac,0)
   };
}

#endif
