/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : Alep                                                                  *
 *                                                                                *
 * Description:                                                                   *
 *      Asymmetry paramter of leptons                                             *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - DESY, Germany                  *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: Alep.h,v 1.5 2007/08/27 22:13:06 hoecker Exp $
 **********************************************************************************/
#ifndef GSM_Alep
#define GSM_Alep

#include "SMTheoryBuilder.h"

namespace GSM {

   class GParameterRef;

   class Alep : public SMTheoryBuilder {
    
   public:

      Alep();
      virtual ~Alep() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:
      
      ClassDef(Alep,0)
   };
}

#endif
