/**********************************************************************************
 * Project: GSM - SM Paramter fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : GHiggsTheoryBase                                                      *
 *                                                                                *
 * Description:                                                                   *
 *      Theory Builder                                                            *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - DESY, Germany                  *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: GHiggsTheoryBase.h,v 1.11 2008/05/18 15:51:12 mgoebel Exp $
 **********************************************************************************/
#ifndef GSM_GHiggsTheoryBase
#define GSM_GHiggsTheoryBase

#include "Gfitter/GAuxTheory.h"

namespace GSM {

   class GHiggsTheoryBase : public Gfitter::GAuxTheory {

   public:
      
      GHiggsTheoryBase();
      virtual ~GHiggsTheoryBase() {}

      // Get Higgs mass prediction
      virtual Double_t Get_Mh() = 0 ;

   protected:
      
      ClassDef(GHiggsTheoryBase,0)
   };
}

#endif
