/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : GammaWtot                                                             *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of the total width of W                                        *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - DESY, Germany                  *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: GammaWtot.cxx,v 1.8 2007/10/24 14:44:34 mgoebel Exp $
 **********************************************************************************/
#include "TMath.h"

#include "Gfitter/GMath.h"
#include "Gfitter/GParameterRef.h"
#include "Gfitter/GTheoryRef.h"
#include "Gfitter/GTypes.h"

#include "GSM/GammaWtot.h"
#include "GSM/MW.h"
#include "GSM/WZFitter.h"
#include "GSM/RadiatorFunctions.h"

ClassImp(GSM::GammaWtot)

GSM::GammaWtot::GammaWtot()
   : SMTheoryBuilder()
{
   SetTheoryName( GetName() );
   SetExistDerivative( kFALSE );
}

Double_t GSM::GammaWtot::GetTheoryPrediction()
{
   return GetWTheory().GetGammaW();
}



