/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : GammaWtot                                                             *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of total width of W boson                                      *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - DESY, Germany                  *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: GammaWtot.h,v 1.5 2007/08/27 22:13:07 hoecker Exp $
 **********************************************************************************/
#ifndef GSM_GammaWtot
#define GSM_GammaWtot

#include "GSM/SMTheoryBuilder.h"

namespace GSM {

   class Gfitter::GParameterRef;

   class RadiatorFunctions;
   class WZFitter;
  
   class GammaWtot : public SMTheoryBuilder {

   public:
      
      GammaWtot();
      ~GammaWtot() {}

      // Theory Prediction
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {};

   protected:
      
      ClassDef(GammaWtot,0)
   };
}

#endif
