/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : GammaWtot                                                             *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of the total Z width                                           *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - DESY, Germany                  *
 *      Andreas Hoecker <Andreas.Hocker@cern.ch> - CERN, Switzerland              *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: GammaZtot.h,v 1.4 2007/08/27 22:13:07 hoecker Exp $
 **********************************************************************************/
#ifndef GSM_GammaZtot
#define GSM_GammaZtot
 
#include "GSM/SMTheoryBuilder.h"

namespace GSM {

   class GammaZtot : public SMTheoryBuilder {
    
   public:

      GammaZtot();
      virtual ~GammaZtot() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:

      ClassDef(GammaZtot,0)
   };
}

#endif
