/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : R0b                                                                   *
 *                                                                                *
 * Description:                                                                   *
 *      Ratio of the bottoms partial Z width to all hadrons                       *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - DESY, Germany                  *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: R0b.h,v 1.10 2007/08/27 22:13:07 hoecker Exp $
 **********************************************************************************/
#ifndef GSM_R0b
#define GSM_R0b
 
#include "GSM/SMTheoryBuilder.h"

namespace GSM {

   class R0b : public SMTheoryBuilder {
    
   public:

      R0b();
      virtual ~R0b() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:

      ClassDef(R0b,0)
   };
}

#endif
