/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : R0c                                                                   *
 *                                                                                *
 * Description:                                                                   *
 *      Ratio of the charms partial Z width to all hadrons                        *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - DESY, Germany                  *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: R0c.h,v 1.10 2007/08/27 22:13:07 hoecker Exp $
 **********************************************************************************/
#ifndef GSM_R0c
#define GSM_R0c
 
#include "GSM/SMTheoryBuilder.h"

namespace GSM {

   class R0c : public SMTheoryBuilder {
    
   public:

      R0c();
      virtual ~R0c() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:

      ClassDef(R0c,0)
   };
}

#endif
