/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : SMTheoryBuilder                                                       *
 *                                                                                *
 * Description:                                                                   *
 *      SM theory builder                                                         *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - DESY, Germany                  *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: SMTheoryBuilder.h,v 1.4 2007/09/26 13:43:30 mgoebel Exp $ 
**********************************************************************************/

#ifndef GSM_SMTheoryBuilder
#define GSM_SMTheoryBuilder

#include "Gfitter/GTheory.h"

namespace GSM {

   class Gfitter::GTheoryRef;
   class Z0Base;
   class WBase;

   class SMTheoryBuilder : public Gfitter::GTheory {

   public:
      
      SMTheoryBuilder();
      ~SMTheoryBuilder() {}

   protected:

      Z0Base& GetZ0Theory() { return (Z0Base&)*m_z0Theory; }
      Gfitter::GTheoryRef m_z0Theory;

      WBase& GetWTheory() { return (WBase&)*m_wTheory; }
      Gfitter::GTheoryRef m_wTheory;


      ClassDef(SMTheoryBuilder,0)
   };
}

#endif
