/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : Sigma0had                                                             *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of hadronic cross-section                                      *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - DESY, Germany                  *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: Sigma0had.h,v 1.4 2007/08/27 22:13:07 hoecker Exp $
 **********************************************************************************/
#ifndef GSM_Sigma0had
#define GSM_Sigma0had
 
#include "GSM/SMTheoryBuilder.h"

namespace GSM {

   class Gfitter::GParameterRef;

   class Sigma0had : public SMTheoryBuilder {
    
   public:

      Sigma0had();
      virtual ~Sigma0had() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}
 
   protected:

      Gfitter::GParameterRef m_MZ;

      ClassDef(Sigma0had,0)
   };
}

#endif
