/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : SinEffLep                                                             *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of effective leptonic weak mixing angle                        *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - DESY, Germany                  *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: SinEffLep.cxx,v 1.6 2007/10/24 14:44:35 mgoebel Exp $
 **********************************************************************************/
#include "GSM/SinEffLep.h"
#include "GSM/Z0Base.h"

#include "Gfitter/GTypes.h"

ClassImp(GSM::SinEffLep)

GSM::SinEffLep::SinEffLep()
   : SMTheoryBuilder()
{
   SetTheoryName( GetName() );
   SetExistDerivative( kFALSE );
}

Double_t GSM::SinEffLep::GetTheoryPrediction()
{
   return GetZ0Theory().GetSin2Eff(Gfitter::GTypes::kElectron);
}
