/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : SinEffLep                                                             *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of effective leptonic weak mixing angle                        *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - DESY, Germany                  *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: SinEffLep.h,v 1.5 2007/09/10 12:38:14 mgoebel Exp $
 **********************************************************************************/
#ifndef GSM_SinEffLep
#define GSM_SinEffLep

#include "GSM/SMTheoryBuilder.h"

using namespace Gfitter;

class Gfitter::GParameterRef;
class Gfitter::GTheoryRef;

namespace GSM {

   class Sin2ThetaF;

   class SinEffLep : public SMTheoryBuilder {

   public:
      
      SinEffLep();
      ~SinEffLep() {}

      // Theory Prediction
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {}

   protected:
      
      ClassDef(SinEffLep,0)
   };
}

#endif
