/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : WBase                                                                 *
 *                                                                                *
 * Description:                                                                   *
 *      Implemantation of base class                                              *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - DESY, Germany                  *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: WBase.cxx,v 1.11 2007/10/25 13:07:28 haller Exp $
 **********************************************************************************/
#include "TMath.h"

#include "Gfitter/GMath.h"
#include "Gfitter/GConstants.h"
#include "Gfitter/GTheory.h"
#include "Gfitter/GTheoryRef.h"
#include "Gfitter/GParameterRef.h"
#include "Gfitter/GReference.h"

#include "GSM/WBase.h"

using namespace Gfitter;
using std::complex;

ClassImp(GSM::WBase)
   
GSM::WBase::WBase(): Gfitter::GAuxTheory()
{
   SetTheoryName( GetName() );
   SetExistDerivative( kFALSE );
   
   BookParameter( "MZ", &p_MZ );
   BookParameter( "GF", &p_GF );   
   
   BookTheory   ( "GSM::MW"                    , & m_MW );
}

