/**********************************************************************************
 * Project: GSM - Electroweak fitting package                                     *
 * Package: GSM                                                                   *
 * Class  : gVeff                                                                 *
 *                                                                                *
 * Description:                                                                   *
 *                   computes effective coupling                                  *
 *                                                                                *
 * Authors (alphabetical):                                                        *
 *      Martin Goebel   <martin.goebel@desy.de>  - Uni HH, Germany                *
 *                                                                                *
 * File and Version Information:                                                  *
 * $Id: 
 **********************************************************************************/
#ifndef GSM_gVeff
#define GSM_gVeff

#include "GSM/SMTheoryBuilder.h"
#include "Gfitter/GTypes.h"

namespace GSM {

   class gVeff :  public SMTheoryBuilder {

   public:
      
      gVeff();
      virtual ~gVeff() {}

      Double_t GetTheoryPrediction();

      void Initialise();

   protected:

      Gfitter::GTypes::Particle m_type;
      Double_t m_T3;
      Double_t m_Q;
        
      ClassDef(gVeff,0)
   };
}

#endif
